# HAM : 
# expects content_id or an id from the mashup_weather table
# this should have the id of the weather record to use

set error_message ""

if { [db_0or1row "getweather" "select yw_code from mashup_weather where id=:id"] } {
	set weatherfeed [mashup::weather::tryget -yw_code $yw_code]
	if { $weatherfeed != 0 } {
		array set item [mashup::weather::parserss -feed_content $weatherfeed]
		set weather_title $item(title)
		set weather_desc $item(description)		
		# ns_log Notice "HAM : $weather_title : $weather_desc"
	} else {
		set error_message "There was an error trying to get the weather."
	}
} else {
	set error_message "Weather forecast not found."
}